<template>
  <g>
    <rect
      class="minimap-cursor"
      tabindex="-1"
      :x="0"
      :y="0"
      :width="viewRect.x"
      :height="height"
      opacity="0.5"
    />
    <rect
      class="minimap-cursor"
      tabindex="-1"
      :x="viewRect.x"
      :y="0"
      :width="viewRect.width"
      :height="height"
      fill-opacity="0.1"
    />
    <rect
      class="minimap-cursor"
      tabindex="-1"
      :x="viewRect.x + viewRect.width"
      :y="0"
      :width="100000"
      :height="height"
      fill-opacity="0.5"
    />
  </g>
</template>
<script lang="ts">
import { Component, Prop } from 'vue-property-decorator';
import type { Rect } from '@/data';
import LabelBehavior from '../LabelBehavior.vue';

@Component
export default class BMinimapCursor extends LabelBehavior {
  @Prop({ required: true })
  viewRect!: Rect;

  @Prop({ required: true })
  height!: number;
}
</script>
<style scoped lang="scss">
.minimap-cursor {
  pointer-events: none;
  fill: #213D4B;
  // Fill calculated to match secondary color with 50% transparency
  // the formula is Fill = Secondary * 2 - 255
}
</style>
